App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
mhr_appcore_filters_Filter.h File Reference
`#include <jni.h>`

Go to the source code of this file.

## Macros
#define | mhr_appcore_filters_Filter_opacityAsFul 0.9999
#define | mhr_appcore_filters_Filter_opacityAsNone 1.0E-4

## Functions
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_disposeFilter (JNIEnv *, jclass, jlong)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createGaussianBlurFilter (JNIEnv *, jclass, jdouble, jdouble)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createLaplaceSharpenFilter (JNIEnv *, jclass, jdouble)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createGaussianSharpenFilter (JNIEnv *, jclass, jdouble, jdouble)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createLaplacianOfGaussianSharpenFilter (JNIEnv *, jclass, jdouble, jdouble, jboolean)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createDifferenceOfGaussianSharpenFilter (JNIEnv *, jclass, jdouble, jdouble, jdouble, jboolean)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJIIII (JNIEnv *, jclass, jlong, jlong, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJIIIID (JNIEnv *, jclass, jlong, jlong, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIII (JNIEnv *, jclass, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIIID (JNIEnv *, jclass, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)

## Macro Definition Documentation

#define mhr_appcore_filters_Filter_opacityAsFul 0.9999

Definition at line 11 of file mhr_appcore_filters_Filter.h.

#define mhr_appcore_filters_Filter_opacityAsNone 1.0E-4

Definition at line 13 of file mhr_appcore_filters_Filter.h.

## Function Documentation

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJIIII | ( | JNIEnv * | ,
|  | jclass | ,
|  | jlong | ,
|  | jlong | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint |
| ) |  |

Definition at line 74 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
return f->applyTo(*dst, Rect(dstTlx, dstTly, dstBrx, dstBry));
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJIIIID | ( | JNIEnv * | ,
|  | jclass | ,
|  | jlong | ,
|  | jlong | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jdouble |
| ) |  |

Definition at line 81 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
return f->applyTo(*dst, Rect(dstTlx, dstTly, dstBrx, dstBry), alpha);
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIII | ( | JNIEnv * | ,
|  | jclass | ,
|  | jlong | ,
|  | jlong | ,
|  | jlong | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint |
| ) |  |

Definition at line 88 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
mono_8bit_bitmap * msk = (mono_8bit_bitmap *) mskAdress;
return f->applyTo(*dst, *msk, Rect(mskTlx, mskTly, mskBrx, mskBry), Point(mskOrigX, mskOrigY));
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIIID | ( | JNIEnv * | ,
|  | jclass | ,
|  | jlong | ,
|  | jlong | ,
|  | jlong | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jint | ,
|  | jdouble |
| ) |  |

Definition at line 96 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
mono_8bit_bitmap * msk = (mono_8bit_bitmap *) mskAdress;
return f->applyTo(*dst, *msk, Rect(mskTlx, mskTly, mskBrx, mskBry), Point(mskOrigX, mskOrigY), alpha);
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createDifferenceOfGaussianSharpenFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jboolean |
| ) |  |

Definition at line 60 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TDoGSharpen<px_4x8bit, px_1x8bit>(sigma, k, force, area);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createGaussianBlurFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jdouble | ,
|  | jdouble |
| ) |  |

Definition at line 12 of file mhr_appcore_filters_Filter.cpp.

{
TSeparableFilter<px_4x8bit, px_1x8bit> * retVal = new TGaussianBlur<px_4x8bit, px_1x8bit>(xSigma, ySigma);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createGaussianSharpenFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jdouble | ,
|  | jdouble |
| ) |  |

Definition at line 36 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TGSharpen<px_4x8bit, px_1x8bit>(sigma, force);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createLaplaceSharpenFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jdouble |
| ) |  |

Definition at line 24 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TLaplaceSharpen<px_4x8bit, px_1x8bit>(force);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createLaplacianOfGaussianSharpenFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jboolean |
| ) |  |

Definition at line 48 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TLoGSharpen<px_4x8bit, px_1x8bit>(sigma, force, area);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_disposeFilter | ( | JNIEnv * | ,
|  | jclass | ,
|  | jlong |
| ) |  |

Definition at line 6 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) adress;
delete f;
return 0;
}